< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package time
  Definition Classes
    hmrc
- CurrentTaxYear
- TaxYear

o

uk.gov.hmrc.time

# TaxYear 

###
Companion class TaxYear

#### object TaxYear extends CurrentTaxYear with (Int) ⇒ TaxYear with Serializable

Linear Supertypes
Serializable, Serializable, (Int) ⇒ TaxYear, CurrentTaxYear, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TaxYear
2. Serializable
3. Serializable
4. Function1
5. CurrentTaxYear
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def andThen[A](g: (TaxYear) ⇒ A): (Int) ⇒ A
   Definition Classes
     Function1
   Annotations
     @unspecialized()
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
7.  def compose[A](g: (A) ⇒ Int): (A) ⇒ TaxYear
   Definition Classes
     Function1
   Annotations
     @unspecialized()
8.  final def current: TaxYear
   Definition Classes
     CurrentTaxYear
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  final def firstDayOfTaxYear(year: Int): LocalDate
    Definition Classes
      CurrentTaxYear
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  def now: () ⇒ DateTime
    Definition Classes
      TaxYear → CurrentTaxYear
20.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
21.  final def taxYearFor(date: LocalDate): TaxYear
    Definition Classes
      CurrentTaxYear
22.  def toString(): String
    Definition Classes
      Function1 → AnyRef → Any
23.  final def today: LocalDate
    Definition Classes
      CurrentTaxYear
24.  final val ukTime: DateTimeZone
    Definition Classes
      CurrentTaxYear
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from Serializable

### Inherited from (Int) ⇒ TaxYear

### Inherited from CurrentTaxYear

### Inherited from AnyRef

### Inherited from Any

### Ungrouped